Skip to main content
POST
/
track-shipment
Track Shipment
curl --request POST \
  --url https://api.example.com/track-shipment \
  --header 'Content-Type: application/json' \
  --data '
{
  "messages": [
    "<unknown>"
  ],
  "id": 123,
  "endpoint": "shipment",
  "user_id": "<string>",
  "custom_title": "<string>",
  "language": "en"
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.nivara.io/llms.txt

Use this file to discover all available pages before exploring further.

Track Shipment

Endpoint for tracking shipment status and details.

Request Body

FieldTypeRequiredDescription
messagesarrayYesConversation messages
idintegerNoConversation ID
endpointstringNoEndpoint name (default: “shipment”)
user_idstringNoUser ID
custom_titlestringNoCustom conversation title
languagestringNoLanguage code (default: “en”)

Responses

StatusDescriptionContent Type
200Shipment tracking resultsapplication/json
422Validation Errorapplication/json

Body

application/json
messages
any[]
required
id
integer
endpoint
string
default:shipment
user_id
string
custom_title
string
language
string
default:en

Response

Successful Response